### Method

# Gtk IMContextfilter_key

#### Declaration [src]

    gboolean
    gtk_im_context_filter_key (
      GtkIMContext* context,
      gboolean press,
      GdkSurface* surface,
      GdkDevice* device,
      guint32 time,
      guint keycode,
      GdkModifierType state,
      int group
    )

#### Description [src]

Allow an input method to forward key press and release events to another input method without necessarily having a `GdkEvent` available.

#### Parameters

`press`

  Type: `gboolean`

  Whether to forward a key press or release event.

`surface`

  Type: `GdkSurface`

  The surface the event is for.

  The data is owned by the caller of the method.

`device`

  Type: `GdkDevice`

  The device that the event is for.

  The data is owned by the caller of the method.

`time`

  Type: `guint32`

  The timestamp for the event.

`keycode`

  Type: `guint`

  The keycode for the event.

`state`

  Type: `GdkModifierType`

  Modifier state for the event.

`group`

  Type: `int`

  The active keyboard group for the event.

#### Return value

Type: `gboolean`

`TRUE` if the input method handled the key event.